<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class StatusMentionMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $quotedStatus = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getQuotedStatus()
    {
        return $this->quotedStatus;
    }

    public function hasQuotedStatus()
    {
        return isset($this->quotedStatus);
    }

    public function clearQuotedStatus()
    {
        unset($this->quotedStatus);
    }

    




    public function setQuotedStatus($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message::class);
        $this->quotedStatus = $var;

        return $this;
    }

}

